curl --request PUT \
--url https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"additional_information": "Goods' additional information",
"cn_code": "76090000",
"description": "Aluminium tube or pipe fittings (for example, couplings, elbows, sleeves)",
"hs_code": "760900",
"importer_address_city": "Declarant city",
"importer_address_country": "BE",
"importer_identification_number": "GR293847584930295",
"importer_name": "Declarant CBAM",
"measurement_unit": "01",
"origin_country": "TR",
"representative_address_city": "Declarant city",
"representative_address_country": "BE",
"representative_identification_number": "IT293847584930295",
"representative_name": "Representative CBAM",
"companyID": 123,
"createdAt": "<string>",
"internalReportID": 123,
"item_number": 1,
"organizationID": 123,
"supporting_documents": [
{
"binary": [
123
],
"filename": "Supporting_document_01.docx",
"item_number": "1",
"mime": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"type": "01",
"companyID": 123,
"country": "CA",
"createdAt": "<string>",
"description": "Description",
"internalReportID": 123,
"issuing_auth_name": "Issuing authority name",
"line_item_number": 88888,
"organizationID": 123,
"reference_number": "01 Reference number",
"sequence_number": 1,
"updatedAt": "<string>",
"updatedBy": "<string>",
"uri": "<string>",
"validity_end_date": "1/1/24",
"validity_start_date": "1/1/24",
"version": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"version": "<string>"
}
EOFimport requests
url = "https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good"
payload = {
"additional_information": "Goods' additional information",
"cn_code": "76090000",
"description": "Aluminium tube or pipe fittings (for example, couplings, elbows, sleeves)",
"hs_code": "760900",
"importer_address_city": "Declarant city",
"importer_address_country": "BE",
"importer_identification_number": "GR293847584930295",
"importer_name": "Declarant CBAM",
"measurement_unit": "01",
"origin_country": "TR",
"representative_address_city": "Declarant city",
"representative_address_country": "BE",
"representative_identification_number": "IT293847584930295",
"representative_name": "Representative CBAM",
"companyID": 123,
"createdAt": "<string>",
"internalReportID": 123,
"item_number": 1,
"organizationID": 123,
"supporting_documents": [
{
"binary": [123],
"filename": "Supporting_document_01.docx",
"item_number": "1",
"mime": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"type": "01",
"companyID": 123,
"country": "CA",
"createdAt": "<string>",
"description": "Description",
"internalReportID": 123,
"issuing_auth_name": "Issuing authority name",
"line_item_number": 88888,
"organizationID": 123,
"reference_number": "01 Reference number",
"sequence_number": 1,
"updatedAt": "<string>",
"updatedBy": "<string>",
"uri": "<string>",
"validity_end_date": "1/1/24",
"validity_start_date": "1/1/24",
"version": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"version": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_information: 'Goods\' additional information',
cn_code: '76090000',
description: 'Aluminium tube or pipe fittings (for example, couplings, elbows, sleeves)',
hs_code: '760900',
importer_address_city: 'Declarant city',
importer_address_country: 'BE',
importer_identification_number: 'GR293847584930295',
importer_name: 'Declarant CBAM',
measurement_unit: '01',
origin_country: 'TR',
representative_address_city: 'Declarant city',
representative_address_country: 'BE',
representative_identification_number: 'IT293847584930295',
representative_name: 'Representative CBAM',
companyID: 123,
createdAt: '<string>',
internalReportID: 123,
item_number: 1,
organizationID: 123,
supporting_documents: [
{
binary: [123],
filename: 'Supporting_document_01.docx',
item_number: '1',
mime: 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
type: '01',
companyID: 123,
country: 'CA',
createdAt: '<string>',
description: 'Description',
internalReportID: 123,
issuing_auth_name: 'Issuing authority name',
line_item_number: 88888,
organizationID: 123,
reference_number: '01 Reference number',
sequence_number: 1,
updatedAt: '<string>',
updatedBy: '<string>',
uri: '<string>',
validity_end_date: '1/1/24',
validity_start_date: '1/1/24',
version: '<string>'
}
],
updatedAt: '<string>',
updatedBy: '<string>',
version: '<string>'
})
};
fetch('https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Operation completed successfully",
"status": 200
}{
"message": "The JSON payload is invalid",
"status": 400
}{
"message": "An internal server error occurred",
"status": 500
}Update Good
Updates an existing imported good record or creates a new one using the provided company ID and report ID. The request body must include a valid JSON payload describing the imported good.
Authorizations
Provide your Bearer token in the format: Bearer <your_api_key>
Path Parameters
Unique identifier for the company associated with the imported good
Unique identifier for the report associated with the imported good
Body
JSON payload containing the imported good data
Summary of Struct
Additional Information Additional Information (Min Length: 1, Max Length: 512)
"Goods' additional information"
This is the CN Code of the CBAM Good. It is a 2-digit code that is added in the HS code. (Min Length: 8, Max Length: 8)
"76090000"
This is an element that can be used in order to describe the CBAM Good. (Min Length: 1, Max Length: 512)
"Aluminium tube or pipe fittings (for example, couplings, elbows, sleeves)"
(Min Length: 6, Max Length: 6)
"760900"
The city where the importer is located. The city where the operator is located. (Min Length: 1, Max Length: 35)
"Declarant city"
The country where the Importer is established (Min Length: 2, Max Length: 2)
"BE"
The Importer's Economic Operators Registration and Identification The Importer's Economic Operators Registration and Identification (EORI) Number (EORI) Number (Min Length: 1, Max Length: 17)
"GR293847584930295"
The full name The full name (person or company) of the importer. (person or company) of the importer. (Min Length: 1, Max Length: 70)
"Declarant CBAM"
The type of measurement unit of the quantity of the CBAM Good. The type of measurement unit of the quantity of the CBAM Good. The type of measurement unit of the quantity of the CBAM Good. (Min Length: 1, Max Length: 5)
"01"
The two letter code of a country. (Min Length: 2, Max Length: 2)
"TR"
The city where the Reprentative is located. (Min Length: 1, Max Length: 35)
"Declarant city"
The country where the Indirect customs representative is established (Min Length: 2, Max Length: 2)
"BE"
The Representative's Economic Operators Registration and Identification The Representative's Economic Operators Registration and Identification (EORI) Number (EORI) Number (Min Length: 1, Max Length: 17)
"IT293847584930295"
The full name The full name (person or company) of the Indirect customs representative. (person or company) of the Indirect customs representative. (Min Length: 1, Max Length: 70)
"Representative CBAM"
Company identifier
Creation time
Internal report ID
This element specifies the item number of every CBAM Good imported of the CBAM Report. It is a sequential number starting at 1. (Pattern: \d{1,5})
1
Organization identifier
(max-occurs=99)
Show child attributes
Show child attributes
Last update time
Updater identifier
Report Versions